Get customers - Fabric
Get customers
cURL
curl --request GET \
--url 'https://api.fabric.inc/v3/Customers?limit=10' \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.fabric.inc/v3/Customers?limit=10"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/Customers?limit=10', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200 OK
- 400 Bad Request
- 403 Forbidden
- 500 Internal Server Error
JSON Response Example
{
"query": {
"offset": 0,
"limit": 20,
"count": 100
},
"data": [
{
"id": "61df41892bf06d00092d0d8a",
"name": {
"firstName": "Pat",
"lastName": "Doe",
"title": "Dr.",
"middleName": "E",
"suffix": "Jr."
},
"emailAddress": "test@example.com",
"isDeleted": false,
"createdAt": "2023-08-30T23:20:42.822Z",
"updatedAt": "2023-08-30T23:20:42.822Z",
"status": "ACTIVE",
"phone": {
"number": 15555551234,
"type": "MOBILE"
},
"externalId": "1231012312-312-31231asda",
"additionalAttributes": {
"middleName": "user"
},
"deletedAt": "2023-08-30T23:20:42.822Z"
}
]
}
Error Responses
{
"type": "INVALID_ACCOUNT_PROVIDED",
"message": "Invalid account provided for the request."
}
{
"type": "REQUEST_DENIED",
"message": "Forbidden"
}
{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
Authorizations
- Authorization: required
- Type: string
- Header
- Description: The access token.
Query Parameters
offset: integer
(default: 0) - The number of records to skip before returning records.
limit: integer
(default: 10) - The maximum number of records in a single page.
sort: string
- Sort results based on
createdAt,updatedAt,firstName,lastName,emailAddressandstatus. Use-for descending and+for ascending order.
- Sort results based on
isDeleted: enum
- Flags whether to include or exclude deleted customers.